Name:		simh
Version:	3.8.0
Release:	1%{?dist}
Summary:	A highly portable, multi-system emulator

Group:		Applications/Emulators
License:	MIT
URL:		http://simh.trailing-edge.com/
Source0:	simh-%{version}-nopatents.tar.gz
# we use
# this script to remove the roms binary and patented code before shipping it.
# Download the upstream tarball and invoke this script while in the
# tarball's directory:
# ./generate-tarball.sh 3.8.0
Source1:	generate-tarball.sh
Source2:	http://simh.trailing-edge.com/pdf/simh_doc.pdf
Source3: 	http://simh.trailing-edge.com/pdf/simh_swre.pdf
Source4:	http://simh.trailing-edge.com/pdf/simh_faq.pdf
Source5:	http://simh.trailing-edge.com/pdf/altairz80_doc.pdf
Source6:	http://simh.trailing-edge.com/pdf/nova_doc.pdf
Source7:	http://simh.trailing-edge.com/pdf/pdp1_doc.pdf
Source8:	http://simh.trailing-edge.com/pdf/pdp18b_doc.pdf
Source9:	http://simh.trailing-edge.com/pdf/pdp8_doc.pdf
Source10:	http://simh.trailing-edge.com/pdf/pdp10_doc.pdf
Source11:	http://simh.trailing-edge.com/pdf/pdp11_doc.pdf
Source12:	http://simh.trailing-edge.com/pdf/vax780_doc.pdf
Source13:	http://simh.trailing-edge.com/pdf/vax_doc.pdf
Source14:	http://simh.trailing-edge.com/pdf/gri_doc.pdf
Source15:	http://simh.trailing-edge.com/pdf/i1401_doc.pdf
Source16:	http://simh.trailing-edge.com/pdf/i1620_doc.pdf
Source17:	http://simh.trailing-edge.com/pdf/i7094_doc.pdf
Source18:	http://simh.trailing-edge.com/pdf/id_doc.pdf
Source19:	http://simh.trailing-edge.com/pdf/hp2100_doc.pdf
Source20:	http://simh.trailing-edge.com/pdf/h316_doc.pdf
Source21:	http://simh.trailing-edge.com/pdf/lgp_doc.pdf
Source22:	http://simh.trailing-edge.com/pdf/sds_doc.pdf
Source23:	http://simh.trailing-edge.com/docs/simh.pdf
Source24:	http://simh.trailing-edge.com/docs/simh_vmio.pdf
Source25:	http://simh.trailing-edge.com/docs/simh_breakpoints.pdf
Source26:	http://simh.trailing-edge.com/docs/simh_magtape.pdf
Source27:	http://simh.trailing-edge.com/docs/architecture18b.pdf
Source28:	http://simh.trailing-edge.com/docs/decodingh316.pdf
Source29:	http://simh.trailing-edge.com/docs/advmonsys.pdf
Source30:	http://simh.trailing-edge.com/docs/pdp11interrupts.pdf
Source31:	http://simh.trailing-edge.com/docs/bugfeature.pdf
Source32:	http://simh.trailing-edge.com/docs/massbusmystery.pdf
Source33:	http://simh.trailing-edge.com/docs/ucode_bugs.pdf
Source34:	http://simh.trailing-edge.com/docs/hpiop.pdf
Source35:	http://simh.trailing-edge.com/docs/ctss_hardware.pdf
Source36:	http://simh.trailing-edge.com/docs/decsys.pdf
Source37:	http://simh.trailing-edge.com/docs/card_readers_18b.pdf

# prefer default gnu89 (ISO C90) as C99 is not fully supported by cc
# and add fedora optflags
Patch0:		simh-3.8.0-gcc.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel, dos2unix, unzip
#Requires:	

%description
SIMH is a historical computer simulation system. It consists of simulators
for approximately 33 different computers, all written around a common user
interface package and set of supporting libraries.
SIMH can be used to simulate any computer system for which sufficient detail
is available, but the focus to date has been on simulating computer systems
of historic interest. 

SIMH implements simulators for:

* Data General Nova, Eclipse
* Digital Equipment Corporation PDP-1, PDP-4, PDP-7, PDP-8, PDP-9, PDP-10,
  PDP-11, PDP-15, VAX
* GRI Corporation GRI-909, GRI-99
* IBM 1401, 1620, 1130, 7090/7094, System 3
* Interdata (Perkin-Elmer) 16b and 32b systems
* Hewlett-Packard 2114, 2115, 2116, 2100, 21MX, 1000
* Honeywell H316/H516
* MITS Altair 8800, with both 8080 and Z80
* Royal-Mcbee LGP-30, LGP-21
* Scientific Data Systems SDS 940 

%package doc
Summary: Documentation about the SIMH emulator
Group: Documentation
Requires: simh = %{version}-%{release}

%description doc
The simh-doc package contains documentation about the SIMH emulator,
the SIMH FAQ, and a few papers written about SIMH.
The papers are provided in PDF formats.


%prep
%setup -qn %{name}-%{version}
%patch0 -p1 -b .gcc


%build
mkdir -p BIN
make %{?_smp_mflags} -e OPT="%{optflags}" USE_NETWORK=1


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
for i in `ls BIN/`; do
	install -p -m 755 BIN/$i $RPM_BUILD_ROOT%{_bindir}/simh-$i
done
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
dos2unix -k ALTAIR/altair.txt NOVA/eclipse.txt HP2100/hp2100_diag.txt I7094/i7094_bug_history.txt Interdata/id_diag.txt PDP1/pdp1_diag.txt PDP10/pdp10_bug_history.txt PDP18B/pdp18b_diag.txt S3/haltguide.txt S3/readme_s3.txt S3/system3.txt SDS/sds_diag.txt VAX/vax780_bug_history.txt 0readme_38.txt 0readme_ethernet.txt
install -p -m 644 %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE4} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE5} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE6} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE7} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE8} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE9} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE10} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE11} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE12} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE14} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE15} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE16} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE17} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE18} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE19} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE20} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE21} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE22} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE23} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE24} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE25} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE26} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE27} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE28} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE29} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE30} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE31} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE32} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE33} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE34} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE35} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE36} $RPM_BUILD_DIR/%{name}-%{version}
install -p -m 644 %{SOURCE37} $RPM_BUILD_DIR/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc ALTAIR/altair.txt NOVA/eclipse.txt 0readme_38.txt 0readme_ethernet.txt HP2100/hp2100_diag.txt I7094/i7094_bug_history.txt Interdata/id_diag.txt PDP1/pdp1_diag.txt PDP10/pdp10_bug_history.txt PDP18B/pdp18b_diag.txt S3/haltguide.txt S3/readme_s3.txt S3/system3.txt SDS/sds_diag.txt VAX/vax780_bug_history.txt 

%files doc
%defattr(-,root,root,-)
%doc simh_doc.pdf simh_swre.pdf simh_faq.pdf altairz80_doc.pdf nova_doc.pdf pdp1_doc.pdf pdp18b_doc.pdf pdp8_doc.pdf pdp10_doc.pdf pdp11_doc.pdf vax780_doc.pdf vax_doc.pdf gri_doc.pdf i1401_doc.pdf i1620_doc.pdf i7094_doc.pdf id_doc.pdf hp2100_doc.pdf h316_doc.pdf lgp_doc.pdf sds_doc.pdf simh.pdf simh_vmio.pdf simh_breakpoints.pdf simh_magtape.pdf architecture18b.pdf decodingh316.pdf advmonsys.pdf pdp11interrupts.pdf bugfeature.pdf massbusmystery.pdf ucode_bugs.pdf hpiop.pdf ctss_hardware.pdf decsys.pdf card_readers_18b.pdf


%changelog
* Wed Dec 24 2008 Lucian Langa <cooly@gnome.eu.org> - 3.8.0-1
- initial spec file


